Moon Light Box

Time is Money

Posts match “ github ” tag:

Android Studio - Github Project PagerSlidingTabStrip Build Error

| Comments

I imported Github PagerSlidingTabStrip project into Android Studio 0.8.2.

Oops. And it wasted me a lot of time to fix build error.

To avoid encountered the same problems.

I noted solutions here and hoped this can help you. :)

Build Error 1.

Error:Build script error, unsupported Gradle DSL method found: 'getBootClasspath()'!

Possible causes could be:
  - you are using Gradle version where the method is absent Fix Gradle settings
  - you didn't apply Gradle plugin which provides the method Apply Gradle plugin
  - or there is a mistake in a build script Goto source

Modified PagerSlidingTabStrip / build.gradle.

---classpath 'com.android.tools.build:gradle:0.6.+'
+++classpath 'com.android.tools.build:gradle:0.12.+'

Modified PagerSlidingTabStrip / gradle / wrapper / gradle-wrapper.properties

---distributionUrl=http\://services.gradle.org/distributions/gradle-1.8-all.zip
+++distributionUrl=http\://services.gradle.org/distributions/gradle-1.12-all.zip

Build Error 2.

Error:Could not find property 'allJava' on source set main.

Modified PagerSlidingTabStrip / library / build.gradle

---apply from: 'https://raw.github.com/chrisbanes/gradle-mvn-push/master/gradle-mvn-push.gradle'

Build Error 3.

Error:The SDK Build Tools revision (19.0.0) is too low for project ':library'. Minimum required is 19.1.0

Modified PagerSlidingTabStrip / gradle.properties

---ANDROID_BUILD_TARGET_SDK_VERSION=19
---ANDROID_BUILD_TOOLS_VERSION=19
---ANDROID_BUILD_SDK_VERSION=19
+++ANDROID_BUILD_TARGET_SDK_VERSION=20
+++ANDROID_BUILD_TOOLS_VERSION=20
+++ANDROID_BUILD_SDK_VERSION=20

Reference : Github PagerSlidingTabStrip Project